Package org.apache.sysds.runtime.instructions.cp

## Class IndexingCPInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.cp.CPInstruction
    - - org.apache.sysds.runtime.instructions.cp.ComputationCPInstruction
      - - org.apache.sysds.runtime.instructions.cp.UnaryCPInstruction
        - - org.apache.sysds.runtime.instructions.cp.IndexingCPInstruction

All Implemented Interfaces:
  `LineageTraceable`

Direct Known Subclasses:
  `FrameIndexingCPInstruction`, `ListIndexingCPInstruction`, `MatrixIndexingCPFileInstruction`, `MatrixIndexingCPInstruction`

    public abstract class IndexingCPInstruction
    extends UnaryCPInstruction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

`CPInstruction.CPType`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.cp.ComputationCPInstruction

`input1, input2, input3, input4, output`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CPOperand` `getColLower()`
`CPOperand` `getColUpper()`
`CPOperand` `getRowLower()`
`CPOperand` `getRowUpper()`
`static IndexingCPInstruction` `parseInstruction​(String str)`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.ComputationCPInstruction

`getInputs, getLineageItem, getOutput, getOutputVariableName, hasFrameInput`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

`getCPInstructionType, getGraphString, getType, postprocessInstruction, preprocessInstruction, processInstruction, requiresLabelUpdate, updateLabels`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

`getLineageItems, hasSingleLineage`

### Method Detail

#### getRowLower

    public CPOperand getRowLower()

#### getRowUpper

    public CPOperand getRowUpper()

#### getColLower

    public CPOperand getColLower()

#### getColUpper

    public CPOperand getColUpper()

#### parseInstruction

    public static IndexingCPInstruction parseInstruction​(String str)